# Command: save

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    save - save interpreter state in a state dictionary

Synopsis:

    save -> statedict true

Examples:

      save and restore can be used to implement non-local jumps within procedures and even between procedures.
      A saved state defines a jump position to which the execution can return by calling restore for this state.

Description:

      Experimental function to save the interpreter state into a state dictionary.
      The state can then be restored, using the command restore.
      After restore, execution will resume with the next command after 'save'.
      The boolean return value can be used to branch execution after saving or restoring the state.

Author:

    Marc-Oliver Gewaltig

SeeAlso:

- restore

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/lib/sli/sli-init.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative